.TH "TP_makeVar" n "August 3, 1995" "TclProp 1.1" "TclProp 1.1 Commands"
.SH NAME
TP_makeVar - create a variable for use with TclProp formulas and triggers
.SH SYNOPSIS
.PP
TP_makeVar [-read \fIread-code\fP] [-write \fIwrite-code\fP][-rf \fIread-freq\fP]
.SH DESCRIPTION
.PP
TP_makeVar creates a new global variable for use with TclProp.  The -write
option defines code that should be executed whenever this variable is changed.
The -read option defines code that should be executed to obtain the current
value from another source (i.e., by polling) and the -rf option specifies a
read interval in milliseconds.  
.PP
TP_makeVar is designed for use in situations where desired attributes cannot
be directly observed with the Tcl trace command.  For example, if the width of
a window is to be involved in a formula, TP_makeVar can read that width (using
configure and lindex) periodically to update the variable \fIwin-width\fP and
can set that width (using configure) whenever \fIwin-width\fP is changed.
.SH SEE ALSO
.PP
TclProp(n), TP_formula(n), TP_trigger(n), trace(n), tkvp(n)
.SH AUTHOR
.PP 
Joseph A. Konstan (konstan@cs.umn.edu) 
.PP 
Sunanda Iyengar (iyengar@cs.umn.edu)
.SH MAILING LIST
.PP
tclprop@cs.umn.edu 
.PP
subscription requests to tclprop-request@cs.umn.edu
